/*
 * Simulator of MCS51 (globals.h)
 *
 * Copyright (C) 1997,97 Drotos Daniel, Talker Bt.
 * 
 * To contact author send email to drdani@mazsola.iit.uni-miskolc.hu
 *
 */

/* This file is part of MCS51 simulator: s51.

S51 is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

S51 is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with S51; see the file COPYING.  If not, write to the Free
Software Foundation, 59 Temple Place - Suite 330, Boston, MA
02111-1307, USA. */
/*@1@*/

#ifndef GLOBALS_HEADER
#define GLOBALS_HEADER

#include "ddconfig.h"

#include "stypes.h"


extern bool   Verbose;
extern double XTAL;
extern FILE   *cmd_conin;
extern FILE   *cmd_conout;
extern FILE   *Ser_out;
extern FILE   *Ser_in;
extern char   *prompt_str;

extern char delimiters[];

extern struct dis_entry  disass_51[256];
extern struct name_entry sfr_tab[];
extern struct name_entry bit_tab[];
extern struct cpu_entry  cpus[];


#endif

/* End of globals.h */
